## multimon 1.0

=== Makefile ===
DEBUG		=n
OS		=$(shell uname)
MACH		=$(shell uname -m)

CFLAGS		=-Wall -Wstrict-prototypes -I/usr/X11R6/include
ifeq ($(OS),SunOS)
ifeq ($(DEBUG),y)
CFLAGS		+=-g -O -DSUN_AUDIO -DARCH_SPARC
else
CFLAGS		+=-O3 -DSUN_AUDIO -DARCH_SPARC
endif
LDFLAGSX	=-lX11 -L/usr/X11R6/lib -R/usr/X11R6/lib -lsocket -lnsl
else
ifeq ($(MACH),x86_64)
ifeq ($(DEBUG),y)
CFLAGS          +=-g -O -DARCH_X86_64
else
CFLAGS          +=-O3 -DARCH_X86_64
endif
LDFLAGSX        =-lX11 -L/usr/X11R6/lib64
else
ifeq ($(DEBUG),y)
CFLAGS		+=-g -O -march=i486 -mtune=pentium4 -falign-loops=2 -falign-jumps=2 \
		  -malign-functions=2 -DARCH_I386
else
CFLAGS		+=-O3 -march=i486 -mtune=pentium4 -falign-loops=2 -falign-jumps=2 \
		  -falign-functions=2 -DARCH_I386
endif
LDFLAGSX	=-lX11 -L/usr/X11R6/lib
endif
endif


BINDIR		=bin-$(shell uname -m)

AS86		=as86 -0 -a
LD86		=ld86 -0

AS		=as
LD		=ld
LDFLAGS		=-lm
HOSTCC		=gcc
CC		=gcc
MAKE		=make
CPP		=$(CC) -E
AR		=ar
STRIP		=strip
MKDIR		=mkdir

all:		$(BINDIR) $(BINDIR)/multimon $(BINDIR)/gen

$(BINDIR)/%.s:	%.c
		$(CC) $(CFLAGS) -S -o $@ $<

$(BINDIR)/%.o:	$(BINDIR)/%.s
		$(AS) -c -o $@ $<

$(BINDIR)/%.o:	%.c
		$(CC) $(CFLAGS) -c -o $@ $<

SRC_L2		=hdlc.c pocsag.c
SRC_L1		=demod_afsk12.c demod_afsk24.c demod_afsk24_2.c
SRC_L1		+=demod_hapn48.c demod_fsk96.c
SRC_L1		+=demod_poc5.c demod_poc12.c demod_poc24.c
SRC_L1		+=demod_dtmf.c demod_zvei.c demod_display.c
SRC_MISC	=unixinput.c costabf.c xdisplay.c

SRC_GEN		=gen.c gen_dtmf.c gen_sin.c gen_zvei.c gen_hdlc.c costabi.c

OBJ_L2		=$(SRC_L2:%.c=$(BINDIR)/%.o)
OBJ_L1		=$(SRC_L1:%.c=$(BINDIR)/%.o)
OBJ_MISC	=$(SRC_MISC:%.c=$(BINDIR)/%.o)

OBJ_GEN		=$(SRC_GEN:%.c=$(BINDIR)/%.o)

$(BINDIR):
		$(MKDIR) $(BINDIR)

$(BINDIR)/multimon:	$(OBJ_L2) $(OBJ_L1) $(OBJ_MISC)
			$(CC) $^ $(LDFLAGS) $(LDFLAGSX) -o $@

$(BINDIR)/gen:		$(OBJ_GEN)
			$(CC) $^ $(LDFLAGS) -o $@

$(BINDIR)/mkcostab:	$(BINDIR)/mkcostab.o
			$(CC) $^ $(LDFLAGS) -o $@

costabi.c costabf.c:	$(BINDIR)/mkcostab
			$(BINDIR)/mkcostab

clean:
		$(RM) -f core `find . -name '*.[oas]' -print`
		$(RM) -f core `find . -name 'core' -print`
		$(RM) -f core costabi.c costabf.c *~ multimon.tar.bz2
		$(RM) -rf bin-*


depend dep:	$(BINDIR) costabi.c costabf.c
		$(CPP) -M $(CFLAGS) $(SRC_MISC) $(SRC_L1) $(SRC_L2) $(SRC_GEN) mkcostab.c > $(BINDIR)/.depend

dist:
		tar cjf multimon.tar.bz2 COPYING Makefile filter.h filter-i386.h gen.h multimon.h \
			$(SRC_MISC) $(SRC_L1) $(SRC_L2) $(SRC_GEN) mkcostab.c

ifeq ($(BINDIR)/.depend,$(wildcard $(BINDIR)/.depend))
include $(BINDIR)/.depend
endif

=== debian/changelog ===
multimon (1.0-8) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Compile mkcostab.c with the build architecture compiler.
    (Closes: #793050)

  [ Thavatchai Makphaibulchoke ]
  * better clean target (Closes: #793050, #1046652)

  [ A. Maitland Bottoms ]
  * update standards version - no changes
  * suggest multimon-ng

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 24 Feb 2024 15:41:24 -0500

multimon (1.0-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-5":
    debian/rules: build with "-fgnu89-inline"
    (Closes: #778019)

 -- gregor herrmann <gregoa@debian.org>  Mon, 20 Jul 2015 19:57:57 +0200

multimon (1.0-7) unstable; urgency=low

  * demod_ccir.c, gen.c, gen_ccir.c, gen.h, Makefile, multimon.h:
    Apply patch from Mathias Bøhn Grytemark adding support for CCIR
    output and decoding.

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 17 Nov 2013 16:09:59 -0500

multimon (1.0-6) unstable; urgency=low

  * apply sox fix to gen.c as well (Closes: #592754)
  * Use AFMT_S16_NE "native"-endian sound format (Closes: #563295)
  * Incorporate Daniel Bair's patch collection:
   * Fix for stereo only systems
   * Fix to completely flush the buffer on verbprint (LP: #729299)
   * Added option to quiet output messages
   * Added example dtmf_insert.pl script
   * Updated man page to reflect changes

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 16 Oct 2013 23:02:41 -0400

multimon (1.0-5) unstable; urgency=low

  * Include newer gen.c and xdisplay.c versions from Thomas Sailer
    dated 2009-03-24. (Closes: #247857)
  * Include Joerg Woelke's patch to run sox correctly. (Closes: #536228)
  * depend upon sox. (Closes: #555391)
  * The man pages added in 1.0-4 must help,
    no recent complaints. (Closes: #205003)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 22 Nov 2009 00:18:25 -0500

multimon (1.0-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update build depend from x-dev to x11proto-core-dev.
  * Replace -m486 with -march=i486 in CGLAGS to get it building with GCC 4.3.
    Patch by Evgeni Golov. (Closes: #474873)
  * Move compat version to debian/compat.
  * Make clean target do not ignore all errors.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 23 Apr 2008 20:07:45 +0200

multimon (1.0-4) unstable; urgency=low

  * Update standards version, use non-native package format
  * refine X library dependencies due to removed xlibs-dev (Closes: #347013)
  * tidy up manpage situation, answer questions raised in bug reports:
      refer to /usr/share/doc/multimon (Closes: #282540 #332421)
      add some usage example text (Closes: #183190)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 16 Jan 2006 11:17:52 -0500

multimon (1.0-3) unstable; urgency=low

  * Update standards version, add Build-Depends line
  * Rebuild to update X library dependencies (Closes: #170233)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun,  1 Dec 2002 12:14:44 -0500

multimon (1.0-2) unstable; urgency=low

  * test for Intel architecture before using (e.g. -m486) flags, 
    (closes:Bug#66281)
  * Initial Emergency Alert System (EAS) decoder hacking
  
 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 27 Jun 2000 22:28:14 -0400

multimon (1.0-1) unstable; urgency=low

  * Initial Release.

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 19 Jun 2000 17:14:30 -0400

=== debian/control ===
Source: multimon
Section: hamradio
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: debhelper-compat (= 12), libx11-dev, x11proto-core-dev
Standards-Version: 4.6.2

Package: multimon
Architecture: any
Depends: sox, ${misc:Depends}, ${shlibs:Depends}
Recommends: multimon-ng, alsa-oss
Description: Linux Radio Transmission Decoder
 The multimon software can decode a variety of digital transmission modes
 commonly found on UHF radio. A standard PC soundcard is used to acquire
 the signal from a transceiver. The decoding is done completely in software.
 Currently, the following modes are supported:
     AX.25
         1200 Baud AFSK
         2400 Baud AFSK (2 variants)
         4800 Baud HAPN
         9600 Baud FSK (G3RUH)
     POCSAG
         512 Baud
         1200 Baud
         2400 Baud
     Miscellaneous
         DTMF
         ZVEI
 An arbitrary set of the above modes may run concurrently on the same input
 signal (provided the CPU power is sufficient), so you do not have to know
 in advance which mode is used. Note however that some modes might require
 modifications to the radio (especially the 9600 baud FSK and the POCSAG
 modes) to work properly.
 POCSAG (Post Office Code Standards Advisory Group) is a common paging
 transmission format.
 .
 This package is made with the original multimon. You probably want to
 be running multimon-ng.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND=-fgnu89-inline
include /usr/share/dpkg/buildtools.mk
MULTIMON_BINDIR=bin-$(shell uname -m)
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- 'CC_FOR_BUILD=$(CC_FOR_BUILD)'

override_dh_auto_clean:
	rm -f $(MULTIMON_BINDIR)/mkcostab
	rm -f $(MULTIMON_BINDIR)/gen
	rm -f $(MULTIMON_BINDIR)/multimon
	dh_auto_clean

## multimon 1.0-2

=== debian/control ===
Source: multimon
Section: hamradio
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Standards-Version: 3.0.1

Package: multimon
Architecture: any
Depends: ${shlibs:Depends}
Description: Linux Radio Transmission Decoder
 The multimon software can decode a variety of digital transmission modes
 commonly found on UHF radio. A standard PC soundcard is used to acquire
 the signal from a transceiver. The decoding is done completely in software.
 Currently, the following modes are supported:
     AX.25 
         1200 Baud AFSK 
         2400 Baud AFSK (2 variants) 
         4800 Baud HAPN 
         9600 Baud FSK (G3RUH) 
     POCSAG 
         512 Baud 
         1200 Baud 
         2400 Baud 
     Miscellaneous 
         DTMF 
         ZVEI 
 An arbitrary set of the above modes may run concurrently on the same input
 signal (provided the CPU power is sufficient), so you do not have to know
 in advance which mode is used. Note however that some modes might require
 modifications to the radio (especially the 9600 baud FSK and the POCSAG
 modes) to work properly.
 POCSAG (Post Office Code Standards Advisory Group) is a common paging
 transmission format.

## multimon 1.0-3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 DEBUG		=n
 OS		=$(shell uname)
-MACH		=$(shell uname -m)
+ARCHITECTURE	=$(shell dpkg --print-architecture)
 
 CFLAGS		=-Wall -Wstrict-prototypes -I/usr/X11R6/include
 ifeq ($(OS),SunOS)
@@ -11,23 +11,16 @@
 endif
 LDFLAGSX	=-lX11 -L/usr/X11R6/lib -R/usr/X11R6/lib -lsocket -lnsl
 else
-ifeq ($(MACH),x86_64)
 ifeq ($(DEBUG),y)
-CFLAGS          +=-g -O -DARCH_X86_64
+CFLAGS		+=-g -O
 else
-CFLAGS          +=-O3 -DARCH_X86_64
+CFLAGS		+=-O3
 endif
-LDFLAGSX        =-lX11 -L/usr/X11R6/lib64
-else
-ifeq ($(DEBUG),y)
-CFLAGS		+=-g -O -march=i486 -mtune=pentium4 -falign-loops=2 -falign-jumps=2 \
+ifeq ($(ARCHITECTURE),i386)
+CFLAGS		+=  -m486 -malign-loops=2 -malign-jumps=2 \
 		  -malign-functions=2 -DARCH_I386
-else
-CFLAGS		+=-O3 -march=i486 -mtune=pentium4 -falign-loops=2 -falign-jumps=2 \
-		  -falign-functions=2 -DARCH_I386
 endif
 LDFLAGSX	=-lX11 -L/usr/X11R6/lib
-endif
 endif
 
 
@@ -60,7 +53,7 @@
 
 SRC_L2		=hdlc.c pocsag.c
 SRC_L1		=demod_afsk12.c demod_afsk24.c demod_afsk24_2.c
-SRC_L1		+=demod_hapn48.c demod_fsk96.c
+SRC_L1		+=demod_hapn48.c demod_fsk96.c demod_eas.c
 SRC_L1		+=demod_poc5.c demod_poc12.c demod_poc24.c
 SRC_L1		+=demod_dtmf.c demod_zvei.c demod_display.c
 SRC_MISC	=unixinput.c costabf.c xdisplay.c
@@ -91,16 +84,11 @@
 clean:
 		$(RM) -f core `find . -name '*.[oas]' -print`
 		$(RM) -f core `find . -name 'core' -print`
-		$(RM) -f core costabi.c costabf.c *~ multimon.tar.bz2
-		$(RM) -rf bin-*
+		$(RM) -f core costabi.c costabf.c *~
 
 
-depend dep:	$(BINDIR) costabi.c costabf.c
+depend dep:
 		$(CPP) -M $(CFLAGS) $(SRC_MISC) $(SRC_L1) $(SRC_L2) $(SRC_GEN) mkcostab.c > $(BINDIR)/.depend
-
-dist:
-		tar cjf multimon.tar.bz2 COPYING Makefile filter.h filter-i386.h gen.h multimon.h \
-			$(SRC_MISC) $(SRC_L1) $(SRC_L2) $(SRC_GEN) mkcostab.c
 
 ifeq ($(BINDIR)/.depend,$(wildcard $(BINDIR)/.depend))
 include $(BINDIR)/.depend

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: hamradio
 Priority: optional
 Maintainer: A. Maitland Bottoms <bottoms@debian.org>
-Standards-Version: 3.0.1
+Build-Depends: debhelper, xlibs-dev
+Standards-Version: 3.5.8.0
 
 Package: multimon
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir


	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	rm -rf bin*
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	#$(MAKE) install DESTDIR=`pwd`/debian/tmp
	install -c -m 755 bin*/multimon `pwd`/debian/tmp/usr/bin/
	install -c -m 755 bin*/gen `pwd`/debian/tmp/usr/bin/
	install -c -m 755 bin*/mkcostab `pwd`/debian/tmp/usr/bin/
	install -c -m 644 debian/multimon.1 `pwd`/debian/tmp/usr/share/man/man1/gen.1
	install -c -m 644 debian/multimon.1 `pwd`/debian/tmp/usr/share/man/man1/mkcostab.1

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
